Debian Bug report logs - #661987
sdl-ttf2.0: TTF_RenderGlyph_Shaded is broken

version graph

Package: sdl-ttf2.0; Maintainer for sdl-ttf2.0 is Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>;

Reported by: "Ying-Chun Liu (PaulLiu)" <paulliu@debian.org>

Date: Sat, 3 Mar 2012 10:03:01 UTC

Severity: normal

Tags: upstream

Found in version 2.0.11-1

Fixed in version sdl-ttf2.0/2.0.11-2

Done: manuel.montezelo@gmail.com (Manuel A. Fernandez Montecelo)

Bug is archived. No further changes may be made.

Forwarded to http://bugzilla.libsdl.org/show_bug.cgi?id=1433

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>:
Bug#661987; Package sdl-ttf2.0. (Sat, 03 Mar 2012 10:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ying-Chun Liu (PaulLiu)" <paulliu@debian.org>:
New Bug report received and forwarded. Copy sent to Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>. (Sat, 03 Mar 2012 10:03:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Ying-Chun Liu (PaulLiu)" <paulliu@debian.org>
To: submit@bugs.debian.org
Subject: sdl-ttf2.0: TTF_RenderGlyph_Shaded is broken
Date: Sat, 03 Mar 2012 18:01:28 +0800
[Message part 1 (text/plain, inline)]
Package: sdl-ttf2.0
Severity: normal
Version: 2.0.11-1

Dear Maintainer,

TTF_RenderGlyph_Shaded() is broken. I wrote a small program to reproduce
the bug. Please read the attachment for the program.

This bug has been reported to the upstream and there is a patch to fix
this bug. Please read
http://bugzilla.libsdl.org/show_bug.cgi?id=1433
I report it here just for easier tracking.

Yours Sincerely,
Paul Liu

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-1-686-pae (SMP w/2 CPU cores)
Locale: LANG=ja_JP.utf8, LC_CTYPE=ja_JP.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libsdl-ttf2.0-0 depends on:
ii  libc6              2.13-26
ii  libfreetype6       2.4.8-1
ii  libsdl1.2debian    1.2.15-1
ii  multiarch-support  2.13-26
ii  zlib1g             1:1.2.6.dfsg-1

libsdl-ttf2.0-0 recommends no packages.

libsdl-ttf2.0-0 suggests no packages.

-- no debconf information

-- 
                                PaulLiu (劉穎駿)
E-mail: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
[test.c (text/x-csrc, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Set Bug forwarded-to-address to 'http://bugzilla.libsdl.org/show_bug.cgi?id=1433'. Request was from "Ying-Chun Liu (PaulLiu)" <paulliu@debian.org> to control@bugs.debian.org. (Sat, 03 Mar 2012 10:21:04 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from "Ying-Chun Liu (PaulLiu)" <paulliu@debian.org> to control@bugs.debian.org. (Sat, 03 Mar 2012 10:21:05 GMT) Full text and rfc822 format available.

Reply sent to manuel.montezelo@gmail.com (Manuel A. Fernandez Montecelo):
You have taken responsibility. (Sat, 03 Mar 2012 17:27:14 GMT) Full text and rfc822 format available.

Notification sent to "Ying-Chun Liu (PaulLiu)" <paulliu@debian.org>:
Bug acknowledged by developer. (Sat, 03 Mar 2012 17:27:14 GMT) Full text and rfc822 format available.

Message #14 received at 661987-close@bugs.debian.org (full text, mbox):

From: manuel.montezelo@gmail.com (Manuel A. Fernandez Montecelo)
To: 661987-close@bugs.debian.org
Subject: Bug#661987: fixed in sdl-ttf2.0 2.0.11-2
Date: Sat, 03 Mar 2012 17:24:35 +0000
Source: sdl-ttf2.0
Source-Version: 2.0.11-2

We believe that the bug you reported is fixed in the latest version of
sdl-ttf2.0, which is due to be installed in the Debian FTP archive:

libsdl-ttf2.0-0_2.0.11-2_amd64.deb
  to main/s/sdl-ttf2.0/libsdl-ttf2.0-0_2.0.11-2_amd64.deb
libsdl-ttf2.0-dev_2.0.11-2_amd64.deb
  to main/s/sdl-ttf2.0/libsdl-ttf2.0-dev_2.0.11-2_amd64.deb
sdl-ttf2.0_2.0.11-2.debian.tar.gz
  to main/s/sdl-ttf2.0/sdl-ttf2.0_2.0.11-2.debian.tar.gz
sdl-ttf2.0_2.0.11-2.dsc
  to main/s/sdl-ttf2.0/sdl-ttf2.0_2.0.11-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 661987@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com> (supplier of updated sdl-ttf2.0 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 03 Mar 2012 15:46:34 +0000
Source: sdl-ttf2.0
Binary: libsdl-ttf2.0-0 libsdl-ttf2.0-dev
Architecture: source amd64
Version: 2.0.11-2
Distribution: unstable
Urgency: low
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Changed-By: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Description: 
 libsdl-ttf2.0-0 - TrueType Font library for Simple DirectMedia Layer 1.2, libraries
 libsdl-ttf2.0-dev - TrueType Font library for Simple DirectMedia Layer 1.2, developme
Closes: 405378 661987
Changes: 
 sdl-ttf2.0 (2.0.11-2) unstable; urgency=low
 .
   * Bump Standards-Version to 3.9.3 (no changes needed)
   * Depend on debhelper>=9~
     - Remove lintian warning
       package-needs-versioned-debhelper-build-depends 9
   * Add lintian override for the slightly different name libSDL-ttf-2.0-0
   * Use "dh_autoreconf --as-needed" in debian/rules
   * Change debian/copyright format URI to
     http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
   * Added patch for "TTF_RenderGlyph_Shaded is broken" (Closes: #661987), thanks
     Ying-Chun Liu (PaulLiu) for the report and pointing to the fix.
   * Added patch for "Lack of error reporting for glyph rendering errors"
     (Closes: #405378), thanks Kevin Locke for the report and providing the the
     fix (accepted upstream already).
Checksums-Sha1: 
 629622d4069e863a050e66fe5f239eb648e28b94 1535 sdl-ttf2.0_2.0.11-2.dsc
 f345d9b0f5873a0cad721462058063b09bda7894 5752 sdl-ttf2.0_2.0.11-2.debian.tar.gz
 7ae4f1d9d901cb8c07f100ebb030f479dc168332 20442 libsdl-ttf2.0-0_2.0.11-2_amd64.deb
 4bc057cea52e9d8ef4394b3ae5b8a01e7ab7a740 29084 libsdl-ttf2.0-dev_2.0.11-2_amd64.deb
Checksums-Sha256: 
 1d50a9b0728ac75f1c17ea14946b033302fb388da95a41d4a4db0b9a72769be3 1535 sdl-ttf2.0_2.0.11-2.dsc
 e2c1a7bb9b21bab12fbb76223aa264e1a71e9cf08ff7a7fe8807f81f15a264dc 5752 sdl-ttf2.0_2.0.11-2.debian.tar.gz
 866127266cb440779e7cee0f0160210cb8f95bfbd7e846bbb0993d2d55adbcda 20442 libsdl-ttf2.0-0_2.0.11-2_amd64.deb
 2674e2a2aa4354404738acfe429ee459c36ae5b99c281775b7cd68c464eb97d9 29084 libsdl-ttf2.0-dev_2.0.11-2_amd64.deb
Files: 
 abbc56599df5b5efb068f020ce2c5ffc 1535 libs optional sdl-ttf2.0_2.0.11-2.dsc
 8cceb2dc9157339d7f9b06233aeee499 5752 libs optional sdl-ttf2.0_2.0.11-2.debian.tar.gz
 70d28b0adc6e5eb51901469befc0646e 20442 libs optional libsdl-ttf2.0-0_2.0.11-2_amd64.deb
 97c01adae171b517e20181911bf59af6 29084 libdevel optional libsdl-ttf2.0-dev_2.0.11-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk9SUj8ACgkQK4B7+/vnTpqEOgCgr1I5gWN0a3XIYg1LP3QDTrtD
DaYAoNfTAbz+zbgN+cghk3AhwrBM05Tz
=uZAP
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 11 Apr 2012 07:47:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:04:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.